Skip to content

HTTPS clone URL

Subversion checkout URL

You can clone with HTTPS or Subversion.

Download ZIP
Patched version of the net-ldap gem for Ruby 1.9
Ruby
branch: master

Fix for SSL.

SSLSocket doesn't have #getbyte as it is not an IO object.
latest commit 6197dcad79
@toland authored

README.txt

= Net::LDAP for Ruby

* http://rubyforge.org/projects/net-ldap

== DESCRIPTION:

Pure Ruby LDAP library.

== FEATURES/PROBLEMS:

The Lightweight Directory Access Protocol (LDAP) is an Internet protocol
for accessing distributed directory services.

Net::LDAP is an LDAP support library written in pure Ruby. It supports
most LDAP client features and a subset of server features as well.

* Standards-based (going for RFC 4511)
* Portable: 100% Ruby

== SYNOPSIS:

See Net::LDAP for documentation and usage samples.

== REQUIREMENTS:

Net::LDAP requires Ruby 1.8.2 or better.

== INSTALL:

Net::LDAP is a pure Ruby library. It does not require any external
libraries.

You can install the RubyGems version of Net::LDAP available from the
usual sources.

* gem install net-ldap

If using the packaged (.tgz) version; it can be installed with:

* ruby setup.rb

== CREDITS:

Net::LDAP was originally developed by:

* Francis Cianfrocca <garbagecat10@gmail.com>

Contributions since:

* Austin Ziegler <halostatue@gmail.com>
* Emiel van de Laar <gemiel@gmail.com>

== LICENSE:

Copyright (C) 2006 by Francis Cianfrocca

Please read the file LICENSE for licensing restrictions on this library. In
the simplest terms, this library is available under the same terms as Ruby
itself.

Available under the same terms as Ruby. See LICENSE in the main
distribution for full licensing information.
Something went wrong with that request. Please try again.